Bug 11627 - ldb 2:1.1.23-1 fails testsuite on s390x
ldb 2:1.1.23-1 fails testsuite on s390x
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
All All
: P5 normal
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 18:27 UTC by Dimitri John Ledkov
Modified: 2016-07-30 00:53 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitri John Ledkov 2015-12-01 18:27:33 UTC
Hello,

ldb 2:1.1.23-1 fails testsuite on s390x in Debian.

Full build log is at:
https://buildd.debian.org/status/fetch.php?pkg=ldb&arch=s390x&ver=2%3A1.1.23-1&stamp=1448012577

and it is reproducible on both debian and ubuntu, on s390x.

The failures are:



touchedBy: sample
....................................EE..................................................................................................................
======================================================================
ERROR: test_set_component (__main__.DnTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "tests/python/api.py", line 640, in test_set_component
    dn.set_component(0, 'cn', 'bar')
TypeError: Failed to set component

======================================================================
ERROR: test_set_component_bytes (__main__.DnTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "tests/python/api.py", line 651, in test_set_component_bytes
    dn.set_component(0, 'cn', b'bar')
TypeError: Failed to set component

----------------------------------------------------------------------
Ran 152 tests in 0.266s

FAILED (errors=2)
Comment 1 Dimitri John Ledkov 2015-12-01 18:29:09 UTC
Let me know if i can be of help in any way.
Comment 2 Andrew Bartlett 2016-07-29 00:17:11 UTC
Fixed in Samba 4.5rc1 with 4894811dafafc57de98bf5271b3ee133622cefb6
Comment 3 Jelmer Vernooij 2016-07-30 00:39:47 UTC
Is there a matching ldb release?
Comment 4 Andrew Bartlett 2016-07-30 00:53:58 UTC
(In reply to Jelmer Vernooij from comment #3)
Yes, it is fixed in ldb-1.1.26